Bug 1448753 (CVE-2017-7492)

Summary: REJECTED CVE-2017-7492 SourceProvider in RestEasy-jaxrs is vulnerable to XXE
Product: [Other] Security Response Reporter: Jason Shepherd <jshepherd>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alee, asoldano, bbaranow, bmaxwell, cdewolf, csutherl, dandread, darran.lofthouse, dosoudil, java-sig-commits, jawilson, jshepherd, lgao, mgoldman, myarboro, pgier, psakar, pslavice, psotirop, puntogil, rnetuka, rsvoboda, twalsh, vtunka, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-18 00:51:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1448754    
Bug Blocks: 1439976, 1448257    

Description Jason Shepherd 2017-05-08 01:55:01 UTC
RESTEasy SourceProvider unmarshals some content without XML External Entity protection. An attacker can use this flaw to launch an XXE attack on a RESTEasy endpoint which uses a wildcard mime-type of mulitpart mime-type. Its only possible to launch an attack if a mime-type of 'application/*+xml' is used specifically.

Comment 1 Jason Shepherd 2017-05-08 01:55:11 UTC
Acknowledgments:

Name: Katerina Novotna (Red Hat)

Comment 2 Jason Shepherd 2017-05-08 01:55:29 UTC
Created resteasy tracking bugs for this issue:

Affects: fedora-all [bug 1448754]

Comment 12 Jason Shepherd 2017-05-19 00:34:44 UTC
Statement:

After further analysis of this issue, it was determined that the flaw was in the XML Frameworks implementation on EAP 7, not in RESTEasy.

If you use a javax.xml.transform.TransformerFactory to process a javax.xml.transform.Source instance please be aware of this outstanding issue with that functionality on EAP 7.0.x:

https://bugzilla.redhat.com/show_bug.cgi?id=1451960